package org.cn3.morpho.data;

public enum NeuronTreeClassification {
	ARBORIZATION ("arborization"),
	SUB_ARBORIZATION ("sub-arborization"),
	TREE ("tree"),
	NEURON ("neuron");
	
	private final String string;
	NeuronTreeClassification(String string){
		this.string = string;
	}
	public static NeuronTreeClassification find(String name) {
	    for (NeuronTreeClassification classification : NeuronTreeClassification.values()) {
	        if (classification.toString().equalsIgnoreCase(name)) {
	            return classification;
	        }
	    }
	    return null;
	}
	public String toString(){ return string; }
	
	private static String allNamesStr = null;
	public static String allNames(){
		if (allNamesStr == null){
			StringBuilder sb = new StringBuilder();
			for (NeuronTreeClassification cls : NeuronTreeClassification.values()){
				sb.append(", "+cls.toString());
			}
			allNamesStr = sb.substring(2);
		}
		return allNamesStr;
	}
}
