package org.cn3.morpho.domain;

public class DoubleLinkedListNode<T> {

	private T object;
	private DoubleLinkedListNode<T> previous;
	private DoubleLinkedListNode<T> next;
	
	public DoubleLinkedListNode(){
		object = null;
		previous = null;
		next = null;
	}
	
	public DoubleLinkedListNode(T object){
		this.object = object;
		previous = null;
		next = null;
	}
	
	public DoubleLinkedListNode<T> getNext() {
		return next;
	}
	public void setNext(DoubleLinkedListNode<T> next) {
		this.next = next;
	}
	public T getObject() {
		return object;
	}
	public void setObject(T object) {
		this.object = object;
	}
	public DoubleLinkedListNode<T> getPrevious() {
		return previous;
	}
	public void setPrevious(DoubleLinkedListNode<T> previous) {
		this.previous = previous;
	}
	
	public boolean hasNext(){
		return (next != null);
	}

	public boolean hasPrevious(){
		return (previous != null);
	}
	
}
