package org.cn3.morpho.domain;

/**
 * 
 * @author gillette
 *
 * @param <T>
 * 
 * Wrapper for metadata and tree structure.
 * 
 */
public class Neuron<T extends AbstractTreeNode<T, ?>> {

	NeuronMetadata metadata;
	Soma<T> soma;

	public Neuron(Soma<T> soma){
		this.metadata = new NeuronMetadata();
		this.soma = soma;
	}
	public Neuron(NeuronMetadata metadata, Soma<T> soma){
		this.metadata = metadata;
		this.soma = soma;
	}
	
	public String getName(){
		return metadata.getName();
	}
	public void setName(String name){
		metadata.setName(name);
	}
	
	public NeuronMetadata getMetadata() {
		return metadata;
	}
	public void setMetadata(NeuronMetadata metadata) {
		this.metadata = metadata;
	}
	public Soma<T> getSoma() {
		return soma;
	}
	public void setSoma(Soma<T> soma) {
		this.soma = soma;
	}
	
}
