package org.cn3.morpho.data;

import java.util.ArrayList;
import java.util.List;

public class MetaDataSelection {

	private String name;
	private List<String> values;
	
	public MetaDataSelection(){}
	public MetaDataSelection(String name, String value){
		this.name = name;
		this.values = new ArrayList<String>();
		this.values.add(value);
	}
	public MetaDataSelection(String name, List<String> values){
		this.name = name;
		this.values = values;
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public List<String> getValues() {
		return values;
	}
	public void setValues(List<String> values) {
		this.values = values;
	}
	public String toString(){
		StringBuffer sb = new StringBuffer();
		sb.append(name+": ");
		for (int i = 0; i < values.size(); i++){
			if (i > 0){
				sb.append(", ");
			}
			sb.append(values.get(i));
		}
		return sb.toString();
	}
}
