package org.cn3.morpho.utils;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

public class StreamGobbler extends Thread{
    private InputStream is;
    private String type;
    
    public StreamGobbler(InputStream is, String type)
    {
        this.is = is;
        this.type = type;
    }
    
    public void run()
    {
    	InputStreamReader isr = null;
    	BufferedReader br = null;
        try
        {
        	isr = new InputStreamReader(is);
            br = new BufferedReader(isr);
            String line=null;
            while ( (line = br.readLine()) != null)
                System.out.println(type + ">" + line);
        } catch (IOException ioe) {
        	ioe.printStackTrace();  
        } finally {
        	try{
        		if (br != null)
        			br.close();
        		if (isr != null)
        			isr.close();
        	} catch (IOException ioe){
        		
        	}
        }
    }

}
